/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json;


public class GeographicPosition {
	private double lat;
	private double lon;
	private double alt;
	
	private String ecefFrameName = "CIO/2010-based ITRF simple EOP";

	private Double equatorialRadius = 6378137.0;
	
	private Double inverseFlattening = 298.257223563;

	public double getLat() {
		return lat;
	}
	public void setLat(double lat) {
		this.lat = lat;
	}
	public double getLon() {
		return lon;
	}
	public void setLon(double lon) {
		this.lon = lon;
	}
	public double getAlt() {
		return alt;
	}
	public void setAlt(double alt) {
		this.alt = alt;
	}
	public String getEcefFrameName() {
		return ecefFrameName;
	}
	public void setEcefFrameName(String ecefFrameName) {
		this.ecefFrameName = ecefFrameName;
	}
	public Double getEquatorialRadius() {
		return equatorialRadius;
	}
	public void setEquatorialRadius(Double equatorialRadius) {
		this.equatorialRadius = equatorialRadius;
	}
	public Double getInverseFlattening() {
		return inverseFlattening;
	}
	public void setInverseFlattening(Double inverseFlattening) {
		this.inverseFlattening = inverseFlattening;
	}
	

}
