/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json;


public class OrbitBulletin {


	public static class CircularParameters {
		private double a;
		private double ex;
		private double ey;
		private double i;
		private double raan;
		private double alpha;
		private String positionAngle;	
		
		public double getA() {
			return a;
		}
		public void setA(double a) {
			this.a = a;
		}
		public double getEx() {
			return ex;
		}
		public void setEx(double ex) {
			this.ex = ex;
		}
		public double getEy() {
			return ey;
		}
		public void setEy(double ey) {
			this.ey = ey;
		}
		public double getI() {
			return i;
		}
		public void setI(double i) {
			this.i = i;
		}
		public double getRaan() {
			return raan;
		}
		public void setRaan(double raan) {
			this.raan = raan;
		}
		public double getAlpha() {
			return alpha;
		}
		public void setAlpha(double alpha) {
			this.alpha = alpha;
		}
		public String getPositionAngle() {
			return positionAngle;
		}
		public void setPositionAngle(String positionAngle) {
			this.positionAngle = positionAngle;
		}
	}

	public static class EquinoctialParameters {
		private double a;
		private double ex;
		private double ey;
		private double hx;
		private double hy;
		private double l;
		private String positionAngle;	
		
		public double getA() {
			return a;
		}
		public void setA(double a) {
			this.a = a;
		}
		public double getEx() {
			return ex;
		}
		public void setEx(double ex) {
			this.ex = ex;
		}
		public double getEy() {
			return ey;
		}
		public void setEy(double ey) {
			this.ey = ey;
		}
		public double getHx() {
			return hx;
		}
		public void setHx(double hx) {
			this.hx = hx;
		}
		public double getHy() {
			return hy;
		}
		public void setHy(double hy) {
			this.hy = hy;
		}
		public double getL() {
			return l;
		}
		public void setL(double l) {
			this.l = l;
		}
		public String getPositionAngle() {
			return positionAngle;
		}
		public void setPositionAngle(String positionAngle) {
			this.positionAngle = positionAngle;
		}
	}

	public static class KeplerianParameters {

		private double a;
		private double e;
		private double i;
		private double raan;
		private double pa;
		private double anomaly;
		private String positionAngle;	

		public double getA() {
			return a;
		}
		public void setA(double a) {
			this.a = a;
		}
		public double getE() {
			return e;
		}
		public void setE(double e) {
			this.e = e;
		}
		public double getI() {
			return i;
		}
		public void setI(double i) {
			this.i = i;
		}
		public double getRaan() {
			return raan;
		}
		public void setRaan(double raan) {
			this.raan = raan;
		}
		public double getPa() {
			return pa;
		}
		public void setPa(double pa) {
			this.pa = pa;
		}
		public double getAnomaly() {
			return anomaly;
		}
		public void setAnomaly(double anomaly) {
			this.anomaly = anomaly;
		}
		public String getPositionAngle() {
			return positionAngle;
		}
		public void setPositionAngle(String positionAngle) {
			this.positionAngle = positionAngle;
		}
		
	}


	private String date;
	
	private String timeScale;	
	
	private String eciFrameName;	
	//xor
	private PvCoordinates cartesian;
	private KeplerianParameters keplerian;
	private EquinoctialParameters equinoctial;
	private CircularParameters circular;

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public PvCoordinates getCartesian() {
		return cartesian;
	}

	public void setCartesian(PvCoordinates cartesian) {
		this.cartesian = cartesian;
	}

	public KeplerianParameters getKeplerian() {
		return keplerian;
	}

	public void setKeplerian(KeplerianParameters keplerian) {
		this.keplerian = keplerian;
	}

	public EquinoctialParameters getEquinoctial() {
		return equinoctial;
	}

	public void setEquinoctial(EquinoctialParameters equinoctial) {
		this.equinoctial = equinoctial;
	}

	public CircularParameters getCircular() {
		return circular;
	}

	public void setCircular(CircularParameters circular) {
		this.circular = circular;
	}

	public String getEciFrameName() {
		return eciFrameName;
	}

	public void setEciFrameName(String eciFrameName) {
		this.eciFrameName = eciFrameName;
	}

	public String getTimeScale() {
		return timeScale;
	}

	public void setTimeScale(String timeScale) {
		this.timeScale = timeScale;
	}


}
