/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.approach;

import org.orekit.web.json.Frame;

public class ApproachRequest extends TcaRequest {

	private double threshold;
	
	private double stepSize = 60.;
	
	private boolean addEphemerisPrimary = false;

	private boolean addEphemerisSecondary = false;

	private Frame outputFrame;

	public double getThreshold() {
		return threshold;
	}

	public void setThreshold(double threshold) {
		this.threshold = threshold;
	}

	public double getStepSize() {
		return stepSize;
	}

	public void setStepSize(double stepSize) {
		this.stepSize = stepSize;
	}

	public boolean isAddEphemerisPrimary() {
		return addEphemerisPrimary;
	}

	public void setAddEphemerisPrimary(boolean addEphemerisPrimary) {
		this.addEphemerisPrimary = addEphemerisPrimary;
	}

	public boolean isAddEphemerisSecondary() {
		return addEphemerisSecondary;
	}

	public void setAddEphemerisSecondary(boolean addEphemerisSecondary) {
		this.addEphemerisSecondary = addEphemerisSecondary;
	}

	public Frame getOutputFrame() {
		return outputFrame;
	}

	public void setOutputFrame(Frame outputFrame) {
		this.outputFrame = outputFrame;
	}

}
