/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.approach;

import org.orekit.web.json.propagation.PropagationResult.DatedPosition;

public class ApproachResult {

	public static class CriticalPeriod {
		private String begin;
		
		private String end;

		private Tca tca;
		
		private DatedPosition[] positions;

		public String getBegin() {
			return begin;
		}

		public void setBegin(String begin) {
			this.begin = begin;
		}

		public String getEnd() {
			return end;
		}

		public void setEnd(String end) {
			this.end = end;
		}

		public Tca getTca() {
			return tca;
		}

		public void setTca(Tca tca) {
			this.tca = tca;
		}

		public DatedPosition[] getPositions() {
			return positions;
		}

		public void setPositions(DatedPosition[] positions) {
			this.positions = positions;
		}

	}

	private CriticalPeriod[] criticalPeriods;
	
	private DatedPosition[] primaryPos;

	private DatedPosition[] secondaryPos;


	public DatedPosition[] getPrimaryPos() {
		return primaryPos;
	}

	public void setPrimaryPos(DatedPosition[] primaryPos) {
		this.primaryPos = primaryPos;
	}

	public DatedPosition[] getSecondaryPos() {
		return secondaryPos;
	}

	public void setSecondaryPos(DatedPosition[] secondaryPos) {
		this.secondaryPos = secondaryPos;
	}

	public CriticalPeriod[] getCriticalPeriods() {
		return criticalPeriods;
	}

	public void setCriticalPeriods(CriticalPeriod[] criticalPeriods) {
		this.criticalPeriods = criticalPeriods;
	}

}
