/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.approach;

import org.orekit.web.json.PvCoordinatesProvider;
import org.orekit.web.json.PvCoordinatesProviderExt;

public class TcaRequest {

	private PvCoordinatesProviderExt primary;
	
	private PvCoordinatesProvider secondary;
	
	private String from;
	
	private String to;

	private String timeScale;

	private double maxCheck = 10.;

	private double mu = 3.986004415e14;

	private String lofType = "TNW";

	private boolean addVelocity = true;
	
	private boolean addAcceleration = false;

	private boolean forcePropagationPeriod = false;

	public PvCoordinatesProviderExt getPrimary() {
		return primary;
	}

	public void setPrimary(PvCoordinatesProviderExt primary) {
		this.primary = primary;
	}

	public PvCoordinatesProvider getSecondary() {
		return secondary;
	}

	public void setSecondary(PvCoordinatesProvider secondary) {
		this.secondary = secondary;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public String getTimeScale() {
		return timeScale;
	}

	public void setTimeScale(String timeScale) {
		this.timeScale = timeScale;
	}

	public double getMaxCheck() {
		return maxCheck;
	}

	public void setMaxCheck(double maxCheck) {
		this.maxCheck = maxCheck;
	}

	public double getMu() {
		return mu;
	}
	
	public void setMu(double mu) {
		this.mu = mu;
	}

	public String getLofType() {
		return this.lofType;
	}

	public void setLofType(String lofType) {
		this.lofType = lofType;
	}

	public boolean isAddVelocity() {
		return addVelocity;
	}

	public void setAddVelocity(boolean addVelocity) {
		this.addVelocity = addVelocity;
	}

	public boolean isAddAcceleration() {
		return addAcceleration;
	}

	public void setAddAcceleration(boolean addAcceleration) {
		this.addAcceleration = addAcceleration;
	}
	public boolean isForcePropagationPeriod() {
		return forcePropagationPeriod;
	}

	public void setForcePropagationPeriod(boolean forcePropagationPeriod) {
		this.forcePropagationPeriod = forcePropagationPeriod;
	}

}
