/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.measgen;

import org.orekit.web.json.OrbitBulletin;
import org.orekit.web.json.propagation.NumericalPropagator;

public abstract class MeasGenRequest {

	private OrbitBulletin orbitBulletin;
	
	private NumericalPropagator numericalPropagator; 

	private String from;
	
	private String to;

	private String timeScale;	

	public OrbitBulletin getOrbitBulletin() {
		return orbitBulletin;
	}

	public void setOrbitBulletin(OrbitBulletin orbitBulletin) {
		this.orbitBulletin = orbitBulletin;
	}

	public NumericalPropagator getNumericalPropagator() {
		return numericalPropagator;
	}

	public void setNumericalPropagator(NumericalPropagator numericalPropagator) {
		this.numericalPropagator = numericalPropagator;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public String getTimeScale() {
		return timeScale;
	}

	public void setTimeScale(String timeScale) {
		this.timeScale = timeScale;
	}

	public abstract Integer getSeed();

	public abstract double getMu();

}
