/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.measgen;


public class PvMeasGenRequest extends MeasGenRequest{

	public static class SchedulerConfig {
		private int maxBurstSize = 1;

		private double highRateStep = 1;

		private double burstPeriod = 60;
		
		public int getMaxBurstSize() {
			return maxBurstSize;
		}

		public void setMaxBurstSize(int maxBurstSize) {
			this.maxBurstSize = maxBurstSize;
		}

		public double getHighRateStep() {
			return highRateStep;
		}

		public void setHighRateStep(double highRateStep) {
			this.highRateStep = highRateStep;
		}

		public double getBurstPeriod() {
			return burstPeriod;
		}

		public void setBurstPeriod(double burstPeriod) {
			this.burstPeriod = burstPeriod;
		}

	}

	public static class PvBias {
		private double px;
		private double py;
		private double pz;
		private double vx;
		private double vy;
		private double vz;
		
		public double getPx() {
			return px;
		}

		public void setPx(double px) {
			this.px = px;
		}

		public double getPy() {
			return py;
		}

		public void setPy(double py) {
			this.py = py;
		}

		public double getPz() {
			return pz;
		}

		public void setPz(double pz) {
			this.pz = pz;
		}

		public double getVx() {
			return vx;
		}

		public void setVx(double vx) {
			this.vx = vx;
		}

		public double getVy() {
			return vy;
		}

		public void setVy(double vy) {
			this.vy = vy;
		}

		public double getVz() {
			return vz;
		}

		public void setVz(double vz) {
			this.vz = vz;
		}
	}

	public static class PvNoise {
		
		private double sigmaPos = 10.0;
		
		private double sigmaVel = 0.01;

		public double getSigmaPos() {
			return this.sigmaPos;
		}

		public void setSigmaPos(double sigmaPos) {
			this.sigmaPos = sigmaPos;
		}
		
		public double getSigmaVel() {
			return sigmaVel;
		}

		public void setSigmaVel(double sigmaVel) {
			this.sigmaVel = sigmaVel;
		}
	}
	
	private String refFrame;

	private String satName = "";
	
	private String objectId = "";

	private PvNoise noise;

	private PvBias bias;

	private SchedulerConfig scheduler = new SchedulerConfig();
		
	private Integer seed = null;	

	private double mu = 3.986004415e14;


	public String getRefFrame() {
		return refFrame;
	}

	public void setRefFrame(String refFrame) {
		this.refFrame = refFrame;
	}

	public String getSatName() {
		return satName;
	}

	public void setSatName(String satName) {
		this.satName = satName;
	}

	public String getObjectId() {
		return objectId;
	}

	public void setObjectId(String objectId) {
		this.objectId = objectId;
	}

	public PvNoise getNoise() {
		return noise;
	}

	public void setNoise(PvNoise noise) {
		this.noise = noise;
	}

	public PvBias getBias() {
		return bias;
	}

	public void setBias(PvBias bias) {
		this.bias = bias;
	}


	public SchedulerConfig getScheduler() {
		return scheduler;
	}

	public void setScheduler(SchedulerConfig scheduler) {
		this.scheduler = scheduler;
	}

	public Integer getSeed() {
		return seed;
	}

	public void setSeed(Integer seed) {
		this.seed = seed;
	}

	public double getMu() {
		return mu;
	}
	
	public void setMu(double mu) {
		this.mu = mu;
	}

}
