/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.od;


public class ResidualsByMeasurementType {

	public static class Residual {
		private String date;
		
		private String type;
		
		private Double value;
		private Double angle1;
		private Double angle2;
		private Double px;
		private Double py;
		private Double pz;
		private Double vx;
		private Double vy;
		private Double vz;
		
		private boolean rejected;
		
		public String getDate() {
			return date;
		}
		public void setDate(String date) {
			this.date = date;
		}
		public String getType() {
			return type;
		}
		public void setType(String type) {
			this.type = type;
		}
		public Double getValue() {
			return value;
		}
		public void setValue(Double value) {
			this.value = value;
		}
		public Double getAngle1() {
			return angle1;
		}
		public void setAngle1(Double angle1) {
			this.angle1 = angle1;
		}
		public Double getAngle2() {
			return angle2;
		}
		public void setAngle2(Double angle2) {
			this.angle2 = angle2;
		}
		public Double getPx() {
			return px;
		}
		public void setPx(Double px) {
			this.px = px;
		}
		public Double getPy() {
			return py;
		}
		public void setPy(Double py) {
			this.py = py;
		}
		public Double getPz() {
			return pz;
		}
		public void setPz(Double pz) {
			this.pz = pz;
		}
		public Double getVx() {
			return vx;
		}
		public void setVx(Double vx) {
			this.vx = vx;
		}
		public Double getVy() {
			return vy;
		}
		public void setVy(Double vy) {
			this.vy = vy;
		}
		public Double getVz() {
			return vz;
		}
		public void setVz(Double vz) {
			this.vz = vz;
		}
		public boolean isRejected() {
			return rejected;
		}
		public void setRejected(boolean rejected) {
			this.rejected = rejected;
		}
	}

	public static class ResidualsByStation {
		private String station;
		private Residual[] residuals;
		public String getStation() {
			return station;
		}
		public void setStation(String station) {
			this.station = station;
		}
		public Residual[] getResiduals() {
			return residuals;
		}
		public void setResiduals(Residual[] residuals) {
			this.residuals = residuals;
		}
	}

	private String type;
	
	private ResidualsByStation[] stations;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public ResidualsByStation[] getStations() {
		return stations;
	}

	public void setStations(ResidualsByStation[] stations) {
		this.stations = stations;
	}
}
