/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.propagation;


public class ForceModel {

//	public static class DTM2000 {
//		// no parameters required by the implementation
//	}
//
//	public static class AtmosphereModel {
//		public DTM2000 getDtm2000() {
//			return dtm2000;
//		}
//
//		public void setDtm2000(DTM2000 dtm2000) {
//			this.dtm2000 = dtm2000;
//		}
//
//		private DTM2000 dtm2000 = new DTM2000();	// TODO others implementation of org.orekit.forces.drag.atmosphere.Atmosphere
//	}

	public static class SolarRadiationPressure {
		private double area = 0 ;
		
		private double cr;
		
		public double getArea() {
			return area;
		}
		public void setArea(double area) {
			this.area = area;
		}
		public double getCr() {
			return cr;
		}
		public void setCr(double cr) {
			this.cr = cr;
		}
	}

	public static class Drag {
//		private AtmosphereModel atmosphereModel = new AtmosphereModel();
		
		private double area = 0;
		
		private double cd;
		
//		public AtmosphereModel getAtmosphereModel() {
//			return atmosphereModel;
//		}
//		public void setAtmosphereModel(AtmosphereModel atmosphereModel) {
//			this.atmosphereModel = atmosphereModel;
//		}
		public double getArea() {
			return area;
		}
		public void setArea(double area) {
			this.area = area;
		}
		public double getCd() {
			return cd;
		}
		public void setCd(double cd) {
			this.cd = cd;
		}
	}

	public static class OceanTides {
		private int degree;
		
		private int order;
		
		public int getDegree() {
			return degree;
		}
		public void setDegree(int degree) {
			this.degree = degree;
		}
		public int getOrder() {
			return order;
		}
		public void setOrder(int order) {
			this.order = order;
		}
	}


	private CentralBodyGravity centralBodyGravity;
	private boolean thirdBodySun = false;
	private boolean thirdBodyMoon = false;
	private OceanTides oceanTides;
	private boolean solidTidesSun = false;
	private boolean solidTidesMoon = false;
	private Drag drag;
	private SolarRadiationPressure solarRadiationPressure;
	private boolean generalRelativity = false;
	
	public CentralBodyGravity getCentralBodyGravity() {
		return centralBodyGravity;
	}
	public void setCentralBodyGravity(CentralBodyGravity centralBodyGravity) {
		this.centralBodyGravity = centralBodyGravity;
	}
	public boolean isThirdBodySun() {
		return thirdBodySun;
	}
	public void setThirdBodySun(boolean thirdBodySun) {
		this.thirdBodySun = thirdBodySun;
	}
	public boolean isThirdBodyMoon() {
		return thirdBodyMoon;
	}
	public void setThirdBodyMoon(boolean thirdBodyMoon) {
		this.thirdBodyMoon = thirdBodyMoon;
	}
	public OceanTides getOceanTides() {
		return oceanTides;
	}
	public void setOceanTides(OceanTides oceanTides) {
		this.oceanTides = oceanTides;
	}
	public boolean isSolidTidesSun() {
		return solidTidesSun;
	}
	public void setSolidTidesSun(boolean solidTidesSun) {
		this.solidTidesSun = solidTidesSun;
	}
	public boolean isSolidTidesMoon() {
		return solidTidesMoon;
	}
	public void setSolidTidesMoon(boolean solidTidesMoon) {
		this.solidTidesMoon = solidTidesMoon;
	}
	public Drag getDrag() {
		return drag;
	}
	public void setDrag(Drag drag) {
		this.drag = drag;
	}
	public SolarRadiationPressure getSolarRadiationPressure() {
		return solarRadiationPressure;
	}
	public void setSolarRadiationPressure(SolarRadiationPressure solarRadiationPressure) {
		this.solarRadiationPressure = solarRadiationPressure;
	}
	public boolean isGeneralRelativity() {
		return generalRelativity;
	}
	public void setGeneralRelativity(boolean generalRelativity) {
		this.generalRelativity = generalRelativity;
	}
	
}
