/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.propagation;

import org.orekit.web.json.OrbitBulletin;
import org.orekit.web.json.Tle;

public class OrbitalData {

	public static class Ephemeris {

		private String requestPartName = "EPHEMERIS_FILE";

		public String getRequestPartName() {
			return requestPartName;
		}

		public void setRequestPartName(String requestPartName) {
			this.requestPartName = requestPartName;
		}
	}

	
	private Tle tle;
	
	private OrbitBulletin orbitBulletin;
	
	private Ephemeris ephemeris;
	
	public Tle getTle() {
		return tle;
	}
	public void setTle(Tle tle) {
		this.tle = tle;
	}
	public OrbitBulletin getOrbitBulletin() {
		return orbitBulletin;
	}
	public void setOrbitBulletin(OrbitBulletin orbitBulletin) {
		this.orbitBulletin = orbitBulletin;
	}
	public Ephemeris getEphemeris() {
		return ephemeris;
	}
	public void setEphemeris(Ephemeris ephemeris) {
		this.ephemeris = ephemeris;
	}
}
