/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.propagation;


public class PropagationResult {

	public static final String AN = "an";

	public static final String DN = "dn";
	
	public static final String AP = "ap";

	public static final String PE = "pe";

	public static final String LOS = "los";

	public static final String AOS = "aos";

	public static final String PENUMBRA_OUT = "penumbra_out";

	public static final String PENUMBRA_IN = "penumbra_in";

	public static final String UMBRA_OUT = "umbra_out";

	public static final String UMBRA_IN = "umbra_in";

	public static class Event {

		private String d;
		
		private String t;
		
		private double[] p;

		private double[] v;

		private double[] a;

		public String getD() {
			return d;
		}
		public void setD(String d) {
			this.d = d;
		}
		public String getT() {
			return t;
		}
		public void setT(String t) {
			this.t = t;
		}
		public double[] getP() {
			return p;
		}
		public void setP(double[] p) {
			this.p = p;
		}
		public double[] getV() {
			return v;
		}
		public void setV(double[] v) {
			this.v = v;
		}
		public double[] getA() {
			return a;
		}
		public void setA(double[] a) {
			this.a = a;
		}
	}

	public static class DatedPosition {
		
		private String d;
		
		private double[] p;

		private double[] v;

		private double[] a;

		public String getD() {
			return d;
		}
		public void setD(String d) {
			this.d = d;
		}
		public double[] getP() {
			return p;
		}
		public void setP(double[] p) {
			this.p = p;
		}
		public double[] getV() {
			return v;
		}
		public void setV(double[] v) {
			this.v = v;
		}
		public double[] getA() {
			return a;
		}
		public void setA(double[] a) {
			this.a = a;
		}
	}

	public static class StationVisi {
		private String name;
		
		private Event[] events;
		
		private boolean alwaysVisible;

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public Event[] getEvents() {
			return events;
		}

		public void setEvents(Event[] events) {
			this.events = events;
		}

		public boolean isAlwaysVisible() {
			return alwaysVisible;
		}

		public void setAlwaysVisible(boolean alwaysVisible) {
			this.alwaysVisible = alwaysVisible;
		}
	}

	private DatedPosition[] positions;

	private Event[] ascNodes;
	
	private Event[] descNodes;
	
	private Event[] apogees;
	
	private Event[] perigees;

	private Event[] sunEclipse;

	private StationVisi[] visibilities;
	
	public DatedPosition[] getPositions() {
		return positions;
	}

	public void setPositions(DatedPosition[] positions) {
		this.positions = positions;
	}

	public Event[] getAscNodes() {
		return ascNodes;
	}

	public void setAscNodes(Event[] ascNodes) {
		this.ascNodes = ascNodes;
	}

	public Event[] getDescNodes() {
		return descNodes;
	}

	public void setDescNodes(Event[] descNodes) {
		this.descNodes = descNodes;
	}

	public Event[] getApogees() {
		return apogees;
	}

	public void setApogees(Event[] apogees) {
		this.apogees = apogees;
	}

	public Event[] getPerigees() {
		return perigees;
	}

	public void setPerigees(Event[] perigees) {
		this.perigees = perigees;
	}

	public Event[] getSunEclipse() {
		return sunEclipse;
	}

	public void setSunEclipse(Event[] sunEclipse) {
		this.sunEclipse = sunEclipse;
	}

	public StationVisi[] getVisibilities() {
		return visibilities;
	}

	public void setVisibilities(StationVisi[] visibilities) {
		this.visibilities = visibilities;
	}

}
