/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;


public class ConvertDateRequest {


	public static class Week {
		private int wYear;
		private int week;
		private int dayOfWeek;
		private int hour = 0;
		private int minute = 0;
		private double second = 0.0;
		
		public int getwYear() {
			return wYear;
		}
		public void setwYear(int wYear) {
			this.wYear = wYear;
		}
		public int getWeek() {
			return week;
		}
		public void setWeek(int week) {
			this.week = week;
		}
		public int getDayOfWeek() {
			return dayOfWeek;
		}
		public void setDayOfWeek(int dayOfWeek) {
			this.dayOfWeek = dayOfWeek;
		}
		public int getHour() {
			return hour;
		}
		public void setHour(int hour) {
			this.hour = hour;
		}
		public int getMinute() {
			return minute;
		}
		public void setMinute(int minute) {
			this.minute = minute;
		}
		public double getSecond() {
			return second;
		}
		public void setSecond(double second) {
			this.second = second;
		}			
	}
	
	public static class DatePattern {
		private String dateStr;
		private String javaPattern;

		public String getDateStr() {
			return dateStr;
		}
		public void setDateStr(String dateStr) {
			this.dateStr = dateStr;
		}
		public String getJavaPattern() {
			return javaPattern;
		}
		public void setJavaPattern(String javaPattern) {
			this.javaPattern = javaPattern;
		}
	}
	public static class MJD {
		private int mjd;
		private double secondsInDay;
		public int getMjd() {
			return mjd;
		}
		public void setMjd(int mjd) {
			this.mjd = mjd;
		}
		public double getSecondsInDay() {
			return secondsInDay;
		}
		public void setSecondsInDay(double secondsInDay) {
			this.secondsInDay = secondsInDay;
		}
	}
	public static class JDD {
		private int jd;
		private double secondsSinceNoon;
		public int getJd() {
			return jd;
		}
		public void setJd(int jd) {
			this.jd = jd;
		}
		public double getSecondsSinceNoon() {
			return secondsSinceNoon;
		}
		public void setSecondsSinceNoon(double secondsSinceNoon) {
			this.secondsSinceNoon = secondsSinceNoon;
		}
	}
	public static class GPS {
		private int weekNumber;
		private double milliInWeek;
		public int getWeekNumber() {
			return weekNumber;
		}
		public void setWeekNumber(int weekNumber) {
			this.weekNumber = weekNumber;
		}
		public double getMilliInWeek() {
			return milliInWeek;
		}
		public void setMilliInWeek(double milliInWeek) {
			this.milliInWeek = milliInWeek;
		}
	}
	public static class Calendar {
		private int year;
		private int month;
		private int day;
		private int hour = 0;
		private int minute = 0;
		private double second = 0.0;
		public int getYear() {
			return year;
		}
		public void setYear(int year) {
			this.year = year;
		}
		public int getMonth() {
			return month;
		}
		public void setMonth(int month) {
			this.month = month;
		}
		public int getDay() {
			return day;
		}
		public void setDay(int day) {
			this.day = day;
		}
		public int getHour() {
			return hour;
		}
		public void setHour(int hour) {
			this.hour = hour;
		}
		public int getMinute() {
			return minute;
		}
		public void setMinute(int minute) {
			this.minute = minute;
		}
		public double getSecond() {
			return second;
		}
		public void setSecond(double second) {
			this.second = second;
		}
	}
	private String iso8601;
	private Calendar calendar;
	private GPS gps;
	private JDD jdd;
	private MJD mjd;
	private DatePattern datePattern;
	
	private Week week;
	
	public String getIso8601() {
		return iso8601;
	}
	public void setIso8601(String iso8601) {
		this.iso8601 = iso8601;
	}
	public Calendar getCalendar() {
		return calendar;
	}
	public void setCalendar(Calendar calendar) {
		this.calendar = calendar;
	}
	public GPS getGps() {
		return gps;
	}
	public void setGps(GPS gps) {
		this.gps = gps;
	}
	public JDD getJdd() {
		return jdd;
	}
	public void setJdd(JDD jdd) {
		this.jdd = jdd;
	}
	public MJD getMjd() {
		return mjd;
	}
	public void setMjd(MJD mjd) {
		this.mjd = mjd;
	}
	public DatePattern getDatePattern() {
		return datePattern;
	}
	public void setDatePattern(DatePattern datePattern) {
		this.datePattern = datePattern;
	}
	public Week getWeek() {
		return week;
	}
	public void setWeek(Week week) {
		this.week = week;
	}
}
