/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;

import org.orekit.web.json.Frame;
import org.orekit.web.json.Position;
import org.orekit.web.json.TopocentricFrame;

public class ConvertLocationRequest {

	
	private String date;
	
	private String timeScale;	
	
	private Position location;
	
	// output
	private Frame cartesianOutputFrame;
	
	private TopocentricFrame azElOutputTopocentricFrame;
	
	private GeographicOutput geographicOutput;
	
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getTimeScale() {
		return timeScale;
	}
	public void setTimeScale(String timeScale) {
		this.timeScale = timeScale;
	}
	public Position getLocation() {
		return location;
	}
	public void setLocation(Position location) {
		this.location = location;
	}
	public Frame getCartesianOutputFrame() {
		return cartesianOutputFrame;
	}
	public void setCartesianOutputFrame(Frame cartesianOutputFrame) {
		this.cartesianOutputFrame = cartesianOutputFrame;
	}
	public TopocentricFrame getAzElOutputTopocentricFrame() {
		return azElOutputTopocentricFrame;
	}
	public void setAzElOutputTopocentricFrame(TopocentricFrame azElOutputTopocentricFrame) {
		this.azElOutputTopocentricFrame = azElOutputTopocentricFrame;
	}
	public GeographicOutput getGeographicOutput() {
		return geographicOutput;
	}
	public void setGeographicOutput(GeographicOutput geographicOutput) {
		this.geographicOutput = geographicOutput;
	}
}
