/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;


/**
 * Representation of a date. The scale is UTC.
 * 
 * @author mgineste
 *
 */
public class DateTimeComponents {

	public static class MJD {
		private int mjd;
		private double secondsInDay;
		public int getMjd() {
			return mjd;
		}
		public void setMjd(int mjd) {
			this.mjd = mjd;
		}
		public double getSecondsInDay() {
			return secondsInDay;
		}
		public void setSecondsInDay(double secondsInDay) {
			this.secondsInDay = secondsInDay;
		}
	}
	public static class DateComponents {
		private int year;
		private int month;
		private int day;
		private int dayOfWeek;
		private int dayOfYear;
		
		public int getYear() {
			return year;
		}
		public void setYear(int year) {
			this.year = year;
		}
		public int getMonth() {
			return month;
		}
		public void setMonth(int month) {
			this.month = month;
		}
		public int getDay() {
			return day;
		}
		public void setDay(int day) {
			this.day = day;
		}
		public int getDayOfWeek() {
			return dayOfWeek;
		}
		public void setDayOfWeek(int dayOfWeek) {
			this.dayOfWeek = dayOfWeek;
		}
		public int getDayOfYear() {
			return dayOfYear;
		}
		public void setDayOfYear(int dayOfYear) {
			this.dayOfYear = dayOfYear;
		}
	}
	public static class TimeComponents {
		private int hour;
		private int minute;
		private double second;
		public int getHour() {
			return hour;
		}
		public void setHour(int hour) {
			this.hour = hour;
		}
		public int getMinute() {
			return minute;
		}
		public void setMinute(int minute) {
			this.minute = minute;
		}
		public double getSecond() {
			return second;
		}
		public void setSecond(double second) {
			this.second = second;
		}
	}
	
	private String iso8601;
	private DateComponents dateComponents;
	private TimeComponents timeComponents;
	private MJD mjd;
	
	public String getIso8601() {
		return iso8601;
	}
	public void setIso8601(String iso8601) {
		this.iso8601 = iso8601;
	}
	public MJD getMjd() {
		return mjd;
	}
	public void setMjd(MJD mjd) {
		this.mjd = mjd;
	}
	public DateComponents getDateComponents() {
		return dateComponents;
	}
	public void setDateComponents(DateComponents dateComponents) {
		this.dateComponents = dateComponents;
	}
	public TimeComponents getTimeComponents() {
		return timeComponents;
	}
	public void setTimeComponents(TimeComponents timeComponents) {
		this.timeComponents = timeComponents;
	}
}
