/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;

import org.orekit.web.json.OrbitBulletin;
import org.orekit.web.json.propagation.NumericalPropagator;

public class GenerateTleRequest {

	public static class SatelliteData {
	
		private int satNumber = 0; 
		
		private String internationDesignator="0000-000A"; 

		private String classification = "U";
		
		public int getSatNumber() {
			return satNumber;
		}
		public void setSatNumber(int satNumber) {
			this.satNumber = satNumber;
		}
		public String getClassification() {
			return classification;
		}
		public void setClassification(String classification) {
			this.classification = classification;
		}
		public String getInternationDesignator() {
			return internationDesignator;
		}
		public void setInternationDesignator(String internationDesignator) {
			this.internationDesignator = internationDesignator;
		}
	}


	private OrbitBulletin orbitBulletin;
	
	private NumericalPropagator numericalPropagator;

	private SatelliteData satellite = new SatelliteData();
	
	private int revolutionNumber = 0;
	
	private int elementNumber = 0;

	private double threshold = 10.;
	
	private int maxIterations = 30; 

	private double mu = 3.986004415e14;

	public SatelliteData getSatellite() {
		return satellite;
	}

	public void setSatellite(SatelliteData satellite) {
		this.satellite = satellite;
	}

	public int getRevolutionNumber() {
		return revolutionNumber;
	}

	public void setRevolutionNumber(int revolutionNumber) {
		this.revolutionNumber = revolutionNumber;
	}

	public int getElementNumber() {
		return elementNumber;
	}

	public void setElementNumber(int elementNumber) {
		this.elementNumber = elementNumber;
	}
	
	public OrbitBulletin getOrbitBulletin() {
		return orbitBulletin;
	}
	public void setOrbitBulletin(OrbitBulletin orbitBulletin) {
		this.orbitBulletin = orbitBulletin;
	}

	public NumericalPropagator getNumericalPropagator() {
		return numericalPropagator;
	}

	public void setNumericalPropagator(NumericalPropagator numericalPropagator) {
		this.numericalPropagator = numericalPropagator;
	}

	public double getThreshold() {
		return threshold;
	}

	public void setThreshold(double threshold) {
		this.threshold = threshold;
	}

	public int getMaxIterations() {
		return maxIterations;
	}

	public void setMaxIterations(int maxIterations) {
		this.maxIterations = maxIterations;
	}

	public double getMu() {
		return mu;
	}
	
	public void setMu(double mu) {
		this.mu = mu;
	}

}
