/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;

import org.orekit.web.json.Tle;

public class TranslateTleRequest {

	private Tle tle;
	
	private String orbitTypeOut;

	private String eciFrameNameOut = "EME2000";	

	private String timeScaleOut = "UTC";	

	private String positionAngleOut = "MEAN"; 

	private double mu = 3.986004415e14; 


	public Tle getTle() {
		return tle;
	}

	public void setTle(Tle tle) {
		this.tle = tle;
	}

	public String getOrbitTypeOut() {
		return orbitTypeOut;
	}

	public void setOrbitTypeOut(String orbitTypeOut) {
		this.orbitTypeOut = orbitTypeOut;
	}

	public String getEciFrameNameOut() {
		return eciFrameNameOut;
	}

	public void setEciFrameNameOut(String eciFrameNameOut) {
		this.eciFrameNameOut = eciFrameNameOut;
	}

	public String getTimeScaleOut() {
		return timeScaleOut;
	}

	public void setTimeScaleOut(String timeScaleOut) {
		this.timeScaleOut = timeScaleOut;
	}

	public String getPositionAngleOut() {
		return positionAngleOut;
	}

	public void setPositionAngleOut(String positionAngleOut) {
		this.positionAngleOut = positionAngleOut;
	}

	public double getMu() {
		return this.mu ;
	}
	
	public void setMu(double mu) {
		this.mu = mu;
	}

}
