/* Copyright 2018-2019 CS Systèmes d'Information
 * Licensed to CS Systèmes d'Information (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.orekit.web.json.tools;

import org.orekit.web.json.OrbitBulletin;

public class TranslateTleResult {

	private String tleDate;
	
	private OrbitBulletin orbit;
	
	private double period;

	private double revolutionsPerDay;

	private int satNumber; 
	
	private String internationDesignator; 

	private String classification;

	private int revolutionNumber;
	
	private int elementNumber;

	private double bStar;

	public String getTleDate() {
		return tleDate;
	}

	public void setTleDate(String tleDate) {
		this.tleDate = tleDate;
	}

	public OrbitBulletin getOrbit() {
		return orbit;
	}

	public void setOrbit(OrbitBulletin orbit) {
		this.orbit = orbit;
	}

	public double getPeriod() {
		return period;
	}

	public void setPeriod(double period) {
		this.period = period;
	}

	public double getRevolutionsPerDay() {
		return revolutionsPerDay;
	}

	public void setRevolutionsPerDay(double revolutionsPerDay) {
		this.revolutionsPerDay = revolutionsPerDay;
	}

	public int getSatNumber() {
		return satNumber;
	}
	public void setSatNumber(int satNumber) {
		this.satNumber = satNumber;
	}
	public String getClassification() {
		return classification;
	}
	public void setClassification(String classification) {
		this.classification = classification;
	}
	public String getInternationDesignator() {
		return internationDesignator;
	}
	public void setInternationDesignator(String internationDesignator) {
		this.internationDesignator = internationDesignator;
	}

	public int getRevolutionNumber() {
		return revolutionNumber;
	}

	public void setRevolutionNumber(int revolutionNumber) {
		this.revolutionNumber = revolutionNumber;
	}

	public int getElementNumber() {
		return elementNumber;
	}

	public void setElementNumber(int elementNumber) {
		this.elementNumber = elementNumber;
	}

	public double getbStar() {
		return bStar;
	}

	public void setbStar(double bStar) {
		this.bStar = bStar;
	}

}
